The LipSync 2.0 API is an asynchronous audio-to-video synchronization service designed to precisely align specified audio with character lip movements. Compared to the previous version, this upgrade significantly improves output clarity and resolution.
taskId.Enum: application/json
Bearer authentication token. Example: Bearer {{APIKey}}.
The URL of the source video.
The URL of the original audio. If the billing duration cannot be determined from this file, the task will fail.
Specifies the width of the output video. If set to 0, the output will maintain the source video's width.
Specifies the height of the output video. If set to 0, the output will maintain the source video's height.
Enables facial clarity and sharpness enhancement: 0 for disabled, 1 for enabled.
Specifies the frame rate (Default: 25 fps). Use "original" to match the input video(capped at 60 fps).
Billing: If set to "original", the cost scales from the base 2 credits/s to: (input FPS / 25) * 2 credits/s.
Returns 0 for success, or a specific error code.
Returns "success" or a descriptive error message.
The unique identifier for the task. Use this ID with the Polling API to retrieve the generated output.
Use the Polling API to retrieve the processing results.
Alternatively, you can enable Callback to receive task results automatically upon completion.
{
"code": 0,
"message": "success",
"data": {
"task": {
"taskId": "a2ec2894eed947e2a17cee86e858da17",
"status": 3,
"executionTime": 17232,
"expire": 1769586737611,
"taskType": "lipsync/2.0"
},
"videos": [
{
"videoType": "mp4",
"videoUrl": "https://dreamface-resource-aigc.oss-us-east-1.aliyuncs.com/dreamapi/o/2026-01-26/f19ec50fc7ca418aafa918f57298ce76.mp4"
}
]
}
}curl -X POST 'https://api.newportai.com/api/async/lipsync/2.0' \
-H "Authorization: Bearer {{key}}" \
-H 'Content-Type: application/json' \
-d '{
"srcVideoUrl": "https://d2t5pyzt5qvy2d.cloudfront.net/api/static_resource/prod/default/mq0MSmKgPGQQsxS9UovqH.mp4",
"audioUrl": "https://d2t5pyzt5qvy2d.cloudfront.net/api/static_resource/prod/default/AoOVLxqINsl1dTAAhnmAW.wav",
"videoParams": {
"video_width": 0,
"video_height": 0,
"video_enhance": 1
}
}'{
"code": 0,
"message": "success",
"data": {
"taskId": "a2ec2894eed947e2a17cee86e858da17"
}
}